package com.docus.server.report.config;

import com.docus.server.report.util.TableJsonRead;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Optional;

/**
 * 顺德人医移动护理采集配置
 * @author wyb
 */
@Data
public class SdRyCollectNurseInsertSugarConfig {
    private final static String CONFIG_FILE_PATH="data-config";
    private final static String CONFIG_FILE_NAME="sdry-collect-nurse-insert-sugar-config.json";
    private List<String> fileRemoveByFormName=new ArrayList<>();

    public static SdRyCollectNurseInsertSugarConfig getConfig(){
        TableJsonRead jsonRead = new TableJsonRead();
        SdRyCollectNurseInsertSugarConfig readObject = jsonRead.Read(CONFIG_FILE_PATH, CONFIG_FILE_NAME, SdRyCollectNurseInsertSugarConfig.class);
        return Optional.ofNullable(readObject).orElse(new SdRyCollectNurseInsertSugarConfig());
    }

    public static void main(String[] args) {
        System.out.println(getConfig());
    }

}
